Bug 40508 - PortsExclusive does not work for Non-Docker Apps
PortsExclusive does not work for Non-Docker Apps
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Dirk Wiesenthal
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 10:43 CET by Dirk Wiesenthal
Modified: 2016-03-09 15:52 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2016-01-27 10:43:15 CET
If two Apps request the same port exclusively, they may not be installed at the same time. This works for Docker Apps, but not for Non-Docker Apps as their ports are not registered in UCR.
Comment 1 Dirk Wiesenthal univentionstaff 2016-03-03 15:01:56 CET
Fixed in
  univention-appcenter 5.0.20-13.124.201603031441

PortsExclusive is now also registered in UCR when a non-Docker App.

Test Apps: Zarafa and Auralis (8443)
Comment 2 Florian Best univentionstaff 2016-03-07 07:23:24 CET
OK, I reproduced it with appcenter 5.0.20-10.121.201603011356: If I try to install auralis + zarafa with  I get the conflicted-apps message (and one empty bullet point in the list - which is my indicator for this bug, fixed by the list→set() change).
OK: fix, removed ConflictedApps from .ini file
OK: upgrade, when a app was installed before the change
OK: YAML
Comment 3 Janek Walkenhorst univentionstaff 2016-03-09 15:52:26 CET
<http://errata.software-univention.de/ucs/4.1/127.html>